﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using log4net;
namespace PayPalCredit
{
    public partial class Index : System.Web.UI.Page
    {
        
        static Index()
        {
        // Load the log4net configuration settings from Web.config or App.config
        log4net.Config.XmlConfigurator.Configure();
        }

        // Logs output statements, errors, debug info to a text file
        private static ILog logger = LogManager.GetLogger(typeof(Index));

        // Call Set Express Checkout method 
        protected void CallSetExpressCheckout(object sender, EventArgs e)
        {
            string item_name = ITEM_NAME.Text;
            string item_id = ITEM_ID.Text;
            string item_desc = ITEM_DESC.Text;
            string item_quantity = ITEM_QUANTITY.Text;
            string item_amount = ITEM_AMOUNT.Text;
            string tax_amount = TAX_AMOUNT.Text;
            string shipping_amount = SHIPPING_AMOUNT.Text;
            string handling_amount = HANDLING_AMOUNT.Text;
            string shipping_discount_amount = SHIPPING_DISCOUNT_AMOUNT.Text;
            string insurance_amount = INSURANCE_AMOUNT.Text;
            string total_amount = TOTAL_AMOUNT.Text;
            string currency_code = CURRENCY_CODE_TYPE.SelectedItem.Text;
            string payment_type = PAYMENT_TYPE.SelectedItem.Text;
            Response.Redirect("SetExpressCheckout.aspx?item_name=" + item_name
                        + "&item_id=" + item_id
                        + "&item_desc=" + item_desc
                        + "&item_quantity=" + item_quantity
                        + "&item_amount=" + item_amount
                        + "&tax_amount=" + tax_amount
                        + "&shipping_amount=" + shipping_amount
                        + "&handling_amount=" + handling_amount
                        + "&shipping_discount_amount=" + shipping_discount_amount
                        + "&insurance_amount=" + insurance_amount
                        + "&total_amount=" + total_amount
                        + "&currency_code=" + currency_code
                        + "&payment_type=" + payment_type, 
                        false);
            Context.ApplicationInstance.CompleteRequest();
        }       
    }
}
